<?php

namespace Litecms\Restaurant\Repositories\Eloquent;

use Litecms\Restaurant\Interfaces\RestaurantRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Restaurant\Repositories\Eloquent\Presenters\RestaurantItemPresenter;


class RestaurantRepository extends BaseRepository implements RestaurantRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.restaurant.restaurant.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.restaurant.restaurant.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return RestaurantItemPresenter::class;
    }
}
